Subject: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Dmitry Gutov <[email-masked]>
Date: Mon, 28 Nov 2022 17:31:11 +0200

On 28/11/2022 16:49, Eli Zaretskii wrote:
>> Date: Mon, 28 Nov 2022 16:29:15 +0200
>> Cc: [email-masked], [email-masked], [email-masked],
>>   [email-masked], [email-masked], [email-masked],
>>   [email-masked], [email-masked], [email-masked],
>>   [email-masked], [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>>
>>>> But if we just compare with the other builtin ('transient'), then its
>>>> VC awareness is probably the key thing. And the customization options it
>>>> has (which 'transient' doesn't).
>>> AFAIU, the 'transient' builtin also works with projects whose shape is a
>>> directory tree, right?  If so, how is 'transient' different from the
>>> 'VC-aware' type?
>>
>> That's right.
> 
> So you are saying that 'VC-aware' is like 'transient', but it will use a VCS
> if it's available?  Then I guess 'VC-aware' is a good name for it.

I suppose so. Great!

>> So if we are comparing against 'transient' only, then VC awareness is
>> probably the key thing. And the customization options.
> 
> Do we have other types to compare against?

I mentioned Projectile a few messages ago.

It's a popular alternative that, with the last release, also plugs into 
project-find-functions and thus works as a new project.el backend.

But it's third-party.